
QGIS Application - Bug report #5258

WMS layer properties should be updated upon visiting the 'layer properties' dialog

2012-03-29 08:17 AM - Ricardo Silva

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 14992

Description

I have a WMS server that is changing its data on an hourly basis and I'd like to always know what data is being shown. As it stands now,

the 'wms_abstract' property of the layer is my best option to figure out what I am visualizing.

However, when I open the 'layer properties' dialog, QGIS is refreshing the layer's imagery (which is kinda wierd, see bug #4947), but not

the actual layer properties. Currently the layer properties only get refreshed if I remove the layer and load it again.

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-05 08:10 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Ricardo, is qgis 1.8 and/or master still affected?

#3 - 2013-09-22 03:38 AM - Giovanni Manghi

- Affected QGIS version changed from 1.7.4 to 2.0.1

- Status changed from Feedback to Open

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2015-12-09 01:49 AM - Médéric RIBREUX

Hello, bug triage...

seems to be still true for QGIS 2.13. Perhaps should we add a refresh button on metadata tab to explicitly refresh metadata ?

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#7 - 2019-02-23 07:16 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Description updated

- Status changed from Feedback to Closed
